.modal-wrapper {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: rgba(0, 0, 0, 0.252);
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 1000;
}

.modal {
  background: #fff;
  padding: 20px;
  border-radius: 10px;
  min-width: 300px;
  max-width: 500px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  position: relative;
  animation: fadeIn 0.3s ease-in-out;

  .modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    border-bottom: 1px solid #ddd;
    padding-bottom: 10px;
    margin-bottom: 10px;

    h2 {
      margin: 0;
      font-size: 1.5rem;
      color: #333;
    }

    .modal-close {
      background: none;
      border: none;
      font-size: 1.5rem;
      cursor: pointer;
      color: #aaa;
    }
  }

  .modal-body {
    margin: 20px 0;
    font-size: 1rem;
    color: #666;
    display: flex;
    justify-content: space-around
  }

  .modal-footer {
    display: flex;
    justify-content: space-around;
    gap: 10px;

    button {
      padding: 10px 20px;
      border-radius: 5px;
      cursor: pointer;
      background: #6a0dad;
      color: #fff;
      transition: background-color 0.3s, border-color 0.3s;
    }
    .btn-secondary{color: #6a0dad;background: #fff;border-radius: 5px;}
  }
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: scale(0.9);
  }
  to {
    opacity: 1;
    transform: scale(1);
  }
}
